package org.ow2.choreos.abstractionBase;


public abstract class Hierarchy {


	//Variables.
	protected Integer collectionID;
	protected Integer mode;

	private String constraintViolation;
	private boolean hasConstraintViolation;


	//Constructor.
	Hierarchy( Integer cCollectionID, Integer cMode ){

		collectionID = cCollectionID;

		mode = cMode;
	}

	//Methods.
	/*TODO: Boolean equals( OrganizationOptions options ){
		if( mode.intValue() == options.getMode().intValue() && structured.booleanValue() == options.getStructured().booleanValue() && namingDistanceType.intValue() == options.getNamingDistanceType().intValue() )
			return true;

		return false;
	}*/


	//Setters.
	public String setConstraintViolation( String cConstraintViolation ){

		if( ! hasConstraintViolation && cConstraintViolation != null ){

			constraintViolation = cConstraintViolation;

			hasConstraintViolation = true;
		}

		return constraintViolation;
	}


	//Getters.
	public Integer getMode(){

		return mode;
	}

	public Integer getCollectionID(){

		return collectionID;
	}

	public boolean hasConstraintViolation(){

		return hasConstraintViolation;
	}

	public String getConstraintViolation(){

		return constraintViolation;
	}

	public abstract boolean hasFinalConstraintViolation();

	public abstract String getFinalConstraintViolation();

	public abstract String getTag();
}
