package org.ow2.choreos.abstractionDrivenServiceOrganization.distanceCalculator.serviceRepresentation.functional.service;

import org.ow2.choreos.abstractionDrivenServiceOrganization.distanceCalculator.serviceRepresentation.functional.service.hungarianAlgorithm.MessagesDistanceCalculatorHungarianAlgorithm;
import org.ow2.choreos.abstractionDrivenServiceOrganization.mappings.functionalRepresentation.service.MessagesMapping;
import org.ow2.choreos.serviceRepresentation.functional.Message;


public abstract class MessagesDistanceCalculator {

	
	public static MessagesMapping calculate( String algorithm, String namesDistanceCalculator, String schemaRepresentationModel, String abstractionDepth, Double similarityLintel, Message m1, Message m2 ){
		
		if( DistanceCalculatorController.isHungarianAlgorithm( algorithm ) ) return MessagesDistanceCalculatorHungarianAlgorithm.calculate( namesDistanceCalculator, schemaRepresentationModel, abstractionDepth, similarityLintel, m1, m2 );
		
		
		return null;
	}

	/*public static MessagesMapping calculate( String algorithm, String namesDistanceCalculator, String schemaRepresentationModel, Message m1, Message m2 ){

		if( DistanceCalculatorController.isHungarianAlgorithm( algorithm ) ) return MessagesDistanceCalculatorHungarianAlgorithm.calculate( namesDistanceCalculator, schemaRepresentationModel, m1, m2 );


		return null;
	}*/
}
