package org.ow2.choreos.abstractionGenerator;

import java.io.File;


public class ClassCreation 
{
	
	
	public static void createClassesFromWsdl(String abstractionName,String URI, boolean creatinoOrCalling)
	{
		System.out.println("Class Creation Started");
		try 
		{
			File file= null ;  
			String arg1 = null ;
			if ( creatinoOrCalling == true)
			{
				file = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"+abstractionName);
				arg1 = "-p " + abstractionName.toLowerCase()+ " -d "+ file.getAbsolutePath() + " -s " + file.getAbsolutePath() + " -Xnocompile";
			}
			else
			{
				file = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"+abstractionName);
				arg1 = " -p Classes " + " -d "+ file.getAbsolutePath() + " -s " + file.getAbsolutePath() ;
			}
			
			String arg2 = URI+"?wsdl";
			
			Process rt =Runtime.getRuntime().exec("cmd /c start /min jaxws-ri\\bin\\wsimport.bat "+arg1+" "+arg2);
			
			rt.waitFor();
		} 
		catch (Exception e) {System.out.println("Unexpected exception Trying to Execute Job: " +e);}
		
		System.out.println("Class Creation Ended");
	}
	

	
	public static void correctPackage(String abstractionName , boolean creatingOrCalling)
	{
		 File file = null;
		 if( creatingOrCalling == true )
			file = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"+abstractionName.toLowerCase()+"\\"+abstractionName.toLowerCase());
		 else
			file = new File("src\\main\\java\\org\\ow2\\choreos\\abstractionGenerator\\abstractionImpl\\"+abstractionName.toLowerCase()+"\\Classes");
		 String  path = file.getAbsolutePath();
	 System.out.println(path);
		 File  folder = new File (path); 
		 
		 File [] listOfFiles = folder.listFiles(); 
		 
		 for (int i = 0; i < listOfFiles.length; i++) 
		 {
	 
			 if (listOfFiles[i].isFile()) 
			 {
				 
					 FileUtil.removeLineFromFile( listOfFiles[i].getName() , abstractionName , creatingOrCalling );
					 System.out.println(listOfFiles[i].getName());
					 
					 
			 }
		 }
		 compileFiles(path);  
	}
	
	
	public static void compileFiles(String path)
	{
System.out.println("Class Creation Started");
		try 
		{
			Process rt =Runtime.getRuntime().exec("cmd /c start /min javac "+ path +"\\*.java");
			
			rt.waitFor();
			System.out.println("exitvalue:" +rt.exitValue());
		} 
		catch (Exception e) {System.out.println("Unexpected exception Trying to Execute Job: " +e);}
		
		System.out.println("Class Creation Ended");
	}
	
	
	public static String firstCharacterToUpperCase(String name)
	{
		char[] temp = name.toCharArray();
		temp[0] = Character.toUpperCase(temp[0]);
		name = new String(temp);
		return name;
	}
	

}
