package org.ow2.choreos.abstractionGenerator;

import java.util.ArrayList;
import java.util.Hashtable;
import java.util.List;


public class CombinedKey 
{
	private static int maxId;
	
	private int id;
	public int from=-1;
	public int to=-1;
	public String combinedKeyValues; //example string a,b,c,
	public CombinedKey()
	{
		
	}
	public CombinedKey(String combinedKeyValues)
	{
		maxId++;
		setId();
		this.combinedKeyValues=combinedKeyValues;
		//System.out.println("Combined Key Was Created with Id: "+id);
	}
	public CombinedKey(ArrayList<List<Object>> columnsFromTable,String combinedKeyValues)
	{
		maxId++;
		setId();
		findBorders(columnsFromTable, combinedKeyValues);
		this.combinedKeyValues=combinedKeyValues;
		//System.out.println("Combined Key Was Created with Id: "+id);
	}
	
	private void setId()
	{
		id=maxId;
	}
	
	public int getId()
	{
		return id;
	}
	
	private void findBorders(ArrayList<List<Object>> columnsFromTable,String combinedKeyValue)
	{	
		int flag=0;
		for(int i=0; i<columnsFromTable.get(0).size();i++)
		{
			String Line="";
			for(int j=0;j<columnsFromTable.size();j++)
			{
				if(columnsFromTable.get(j).get(i) !=null)
				Line=Line.concat(columnsFromTable.get(j).get(i).toString()+",");
				
			}
			if(Line.equals(combinedKeyValue) && flag==0 )
			{
				from=i;
				flag=1;
			}
			else if(!Line.equals(combinedKeyValue) && flag==1)
			{
				to=i;
				//System.out.println("to: "+to);
				break;
			}
		}
		
		if(to==-1 && from!=-1)
			to=columnsFromTable.get(0).size();
			
	}
	
	public CombinedKey searchId(Hashtable<Integer,CombinedKey> cmbList,int id)
	{
		
		return cmbList!=null ?cmbList.get(id) :null;		
	}
	
	
	
}
