package org.ow2.choreos.dataStructures.array.arrayInstantiation;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


/**
 * 
 * @author dathanas
 *
 */
public class ArrayInstantiation {


	static public Object[][] newArrayOfArray( int rows, int columns ){

		return rows > 0 && columns > 0 ? new Object[ rows ][ columns ] : null;
	}

	public static Object[] newArray( int size ){

		return size > 0 ? new Object[ size ] : null;
	}

	public static Object[] newArray( Object[] objects ){

		return objects != null ? new Object[ objects.length ] : null;
	}

	public static Object[] newArray( Object[] objects, int multiplicity ){

		return objects != null && multiplicity > 0 ? new Object[ objects.length * multiplicity ] : null;
	}


	static public double[] newdoubleArray( int size ){

		return size > 0 ? new double[ size ] : null;
	}

	public static String[] newStringArray( int size ){

		return size > 0 ? new String[ size ] : null;
	}

	public static Integer[] newIntegerArray( Integer size ){

		return size > 0 ? new Integer[ size ] : null;
	}

	public static int[] newIntArray( int size ){

		return size > 0 ? new int[ size ] : null;
	}

	public static int[] newIntArray( Object[] objects ){

		return objects != null ? new int[ objects.length ] : null;
	}

	public static int[] newIntArray( Object[] objects, int multiplicity ){

		return objects != null && multiplicity > 0 ? new int[ objects.length * multiplicity ] : null;
	}

	static public boolean[] newbooleanArray( int size ){

		return size > 0 ? new boolean[ size ] : null;
	}

	static public Boolean[] newBooleanArray( int size ){

		return size > 0 ? new Boolean[ size ] : null;
	}

	public static Object[] newArray( Map<Object, Object> map ){

		return map != null ? new Object[ map.size() ] : null;
	}

	public static int[] newIntArray( Map<Object, Object> map ){

		return map != null ? new int[ map.size() ] : null;
	}


	public static Object[] newArray( List<ArrayList<Object>> objects ){

		return objects != null ? new Object[ objects.size() ] : null;
	}


	public static Object[] newArray( List<ArrayList<Object>> objects, int position ){

		Object[] array = newArray( objects );


		for( int i = 0; objects != null && i < objects.size(); ++i ) array[ i ] = objects.get( i ).get( position );


		return array;
	}
}
