package org.ow2.choreos.dataStructures.list.listManipulation;

import java.util.List;
import java.util.Map;
import java.util.Random;


/**
 * 
 * @author dathanas
 *
 */
public class ListGetters {


	public static boolean belongsTo( String value, List<String> list ){

		for( int i = 0; list != null && i < list.size(); ++i ) if( list.get( i ).equals( value ) ) return true; 


		return false;
	}

	public static Integer getElementRandomly( List<Integer> list ) {
	
		Random dice = new Random();


		return list != null && ! list.isEmpty() ? list.get( dice.nextInt( list.size() ) ) : null;
	}

	public static String getPrevPrevElementValue( String key, List<Map<String, String>> path ){
	
		Map<String, String> prevPrevElement = null;
	
		return key != null && path != null && ( prevPrevElement = path.get( path.size() - 2 ) ) != null ? prevPrevElement.get( key ) : null;
	}

	public static Map<String, String> getLastListElement( List<Map<String, String>> listOfMaps ){
	
		return listOfMaps != null ? listOfMaps.get( listOfMaps.size() - 1 ) : null;
	}

	public static String getLastListElementValue( String key, List<Map<String, String>> listOfMaps ){
	
		Map<String, String> lastElement = getLastListElement( listOfMaps );
	
		return key != null && lastElement != null ? lastElement.get( key ) : null;
	}

}
