package org.ow2.choreos.gui.guiManipulation;

import java.util.Enumeration;

import javax.swing.JTree;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;


public class JTreeManipulation {


	public static JTree expand( JTree tree, TreePath root ){

		return expand( Integer.MAX_VALUE, tree, root );
	}


	public static JTree expand( int level, JTree jTree, TreePath rootPath ){

		TreeNode node = (TreeNode) rootPath.getLastPathComponent();


		if( node.getChildCount() > 0 ) for( Enumeration<?> enumeration = node.children(); enumeration.hasMoreElements(); ){

			TreeNode treeNode = (TreeNode) enumeration.nextElement();

			TreePath path = rootPath.pathByAddingChild( treeNode );

			if( path.getPathCount() < level ) jTree = expand( level, jTree, path );
		}


		jTree.expandPath( rootPath );


		return jTree;
	}
}
