package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.attribute;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.parser.functionalDocuments.objectConstraintsManipulation.ObjectConstraintsManipulation;
import org.ow2.choreos.schemaRepresentation.xml.Annotation;
import org.ow2.choreos.schemaRepresentation.xml.Component;
import org.ow2.choreos.schemaRepresentation.xml.XMLSchemaRepresentationController;
import org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.dataType.DataTypeController;


/**
 * 
 * @author dathanas
 *
 */
class AttributeDefinition extends Attribute {


	//Variables.
	private static final long serialVersionUID = 689527650998848067L;


	//Constructor.
	AttributeDefinition( List<Map<String, String>> path, boolean isGlobal ){

		super( path, isGlobal );
	}


	//Setters.
	public Object add( Object object ){

		if( ObjectConstraintsManipulation.setContainmentError( this, object ) == null ){

			if( DataTypeController.isSimpleTypeKind( object ) ) addComponent( (Component) object );

			else if( XMLSchemaRepresentationController.isAnnotationKind( object ) ) setAnnotation( (Annotation) object );

			else ObjectConstraintsManipulation.setConnectionError ( this, object, "Valid content:\n\n1. The simpleTypes: " + DataTypeController.getFlatSimpleTypeKinds() + "\n2. Annotation" );
		}


		return this;
	}
}
