package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.identityConstraint;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;
import org.ow2.choreos.schemaRepresentation.xml.ReferencedComponent;


/**
 * 
 * @author dathanas
 * This class models the 'keyref' tag.
 */
class IdentityConstraintKeyRef extends IdentityConstraint {


	//Variables.
	private static final long serialVersionUID = -5894571540668372032L;


	//Constructor.
	IdentityConstraintKeyRef( List<Map<String, String>> path, boolean isGlobal ){

		super( path, isGlobal );


		String refer = (String) MapGetter.getValueByStringKey( "refer", getTagAttributes() );

		setReferencedComponent( new ReferencedComponent( refer, "refer" ) );
	}
}
