package org.ow2.choreos.serviceSourcesPreProcessing;

/*import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;*/

import java.io.IOException;

import org.ow2.choreos.parser.freeTextDocuments.Tokenizer;

public class Bucket {
	private String path;
	private String representative;
	private int numOfFiles;
	private int id;
		
	public Bucket(String outputFolder, String representative, int id) {
		this.path = outputFolder + "\\part" + id;
		this.representative = representative;
		this.id = id;
		incNumOfFiles();
		
		/*try {
			Path dir = Paths.get(path);
			if(Files.exists(dir)){
//				Directory already exists! Append current time milliseconds to it's name so it's surely unique!
				path = path+System.currentTimeMillis();
				dir = Paths.get(path);System.out.println(path);
			}
			Files.createDirectory(dir);
		} catch (IOException e) {
			e.printStackTrace();
		}*/
	}
	public String getPath() {
		return path;
	}
	public String getRepresentative() {
		return representative;
	}
	public void setRepresentative(String representative) {
		this.representative = representative;
		/* Since a new representative is set, it means that the number of files in the bucket is increased by one.
		 * Not a nice approach, but will do for now! */
		incNumOfFiles();
	}
	public void applyRepresentative() throws IOException{
		String parentDir = Tokenizer.getPrefix(path, "\\");
		
		/*Path source = Paths.get(path);
		Path target = Paths.get(parentDir+"\\" + representative);
		if(Files.exists(target)){
			int count = 0;
			do{
				target = Paths.get(parentDir+"\\" + representative + "." + ++count);
			}while(Files.exists(target));
			System.out.println(target);
		}
		Files.move(source, target);*/
	}
	public int getNumOfFiles() {
		return numOfFiles;
	}
	public void incNumOfFiles(){
		numOfFiles++;
	}
	public int getId(){
		return id;
	}
}
