package org.ow2.choreos.abstractionGenerator.abstractionImpl.hotel;
import org.ow2.choreos.abstractionGenerator.InputOutputDataTranslator;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;
import org.ow2.choreos.abstractionGenerator.MappingsManipulation;
import javax.jws.WebMethod;
import org.ow2.choreos.abstractionGenerator.Serialiazer;
import javax.jws.WebService;
import org.ow2.choreos.abstractionGenerator.BaseAbstractionImplService;
import org.ow2.choreos.abstractionGenerator.ClassCreation;
@WebService()
 public class HotelImpl extends BaseAbstractionImplService implements HotelInterface {
	public HotelImpl () 
	{
		super("Hotel");
	}

	public GetPriceResponseOut getPrice ( GetPriceIn input )
	{

		GetPriceResponseOut result = new GetPriceResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getPrice", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getPrice" , result);

		return result;

	}

	public GetAvailableRoomResponseOut getAvailableRoom ( GetAvailableRoomIn input )
	{

		GetAvailableRoomResponseOut result = new GetAvailableRoomResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getAvailableRoom", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getAvailableRoom" , result);

		return result;

	}

	public BookResponseOut book ( BookIn input )
	{

		BookResponseOut result = new BookResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"book", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "book" , result);

		return result;

	}

	public ProvideConfirmationRoomResponseOut provideConfirmationRoom ( ProvideConfirmationRoomIn input )
	{

		ProvideConfirmationRoomResponseOut result = new ProvideConfirmationRoomResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"provideConfirmationRoom", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "provideConfirmationRoom" , result);

		return result;

	}

}