package Data;

public class RerouteWarning {
	/**
	 * Name of the rerouted flight
	 */
	public String flight;
	/**
	 * passagers on board
	 */
	public int nbrpassengers;
	/**
	 * New destination after Rerouting
	 */
	public String newdestination;

	/**
	 * Default Constructor
	 */
	public RerouteWarning() {
	}

	/**
	 * Constructor with arguments
	 * 
	 * @param flight
	 * @param nbrpassengers
	 * @param newdestination
	 */
	public RerouteWarning(String flight, int nbrpassengers,
			String newdestination) {
		this.flight = flight;
		this.nbrpassengers = nbrpassengers;
		this.newdestination = newdestination;
	}

	/**
	 * For print the Reroute object on the Standard output
	 */
	public void print() {
		System.out.println("-------- REROUTE WARNING --------");
		System.out.println("Flight: " + this.flight + " / passengers: "
				+ this.nbrpassengers + " / New Destination: "
				+ this.newdestination);
	}
}
