package interfaces;

import javax.jws.WebMethod;

import Data.BookingReceipt;



/**
 * 
 * @author T0050098
 * 
 */
public interface IBookAmenitySink {
	/**
	 * Process a booking receipt.
	 * 
	 * @param bookingReceipt
	 * @throws ScenarioException
	 */
	///@WebMethod public void putBookingReceipt(BookingReceipt bookingReceipt);

	/**
	 * For Hotel WS return rooms reservation confirmation to Airline Ground
	 * Staff MID, with room the number of room reserved.
	 * 
	 * @param room
	 * @return
	 */
	@WebMethod public int provideConfirmationRoom(int room);
}
