package securityCompany;


import interfaces.IBookAmenity;
import interfaces.IWarnUnexpectedArrival;

import java.util.ArrayList;
import java.util.List;

import javax.jws.WebParam;
import javax.jws.WebService;


import Data.Amenity;
import Data.BookingOrder;
import Data.RerouteWarning;



/**
 * 
 * @author T0132577
 * 
 */
@WebService
public class SecurityCompany implements IBookAmenity, IWarnUnexpectedArrival {

	/**
	 * Amenity type provided.
	 */
	private String type;
	/**
	 * The provider name.
	 */
	private String name;
	/**
	 * Amenities provided.
	 */
	private List<Amenity> amenities;

	/**
	 * Constructor.
	 * 
	 * @param name
	 *            the security company name
	 */
	public SecurityCompany(String name) {
		this.name = name;
		
		

	}

	



	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.ow2.choreos.thalesgroup.wp6.services.BookableAmenity#book(org.ow2
	 * .choreos.thalesgroup.wp6.messagesTypes.BookingOrder)
	 */
	@Override
	public int book( String s , @WebParam(name = "order")BookingOrder order)
	{
		
	
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.ow2.choreos.thalesgroup.wp6.scn2.services.interfaces.
	 * IWarnUnexpectedArrival#warnUnexpectedArrival()
	 */
	@Override
	public boolean warnUnexpectedArrival(@WebParam(name = "plane") String plane,
			@WebParam(name = "reroute") RerouteWarning reroute) {
		System.out
				.println("Security Company: Reservation d'un vigil en prevision de l'atterissage de l'avion comprenant "
						+ reroute.nbrpassengers + " passagers."+reroute.flight+"  "+reroute.newdestination);
		return false;
	}







}
