package test.java;

import static org.junit.Assert.*;

import java.util.Map;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.ow2.chereos.iots.common.SubstituteSensorSet;
import org.ow2.choreos.registration.impl.SubstituteSetsGeneratorImpl;

public class TestSubstituteSetsGeneratorImpl {
	SubstituteSetsGeneratorImpl sg = new SubstituteSetsGeneratorImpl();

	@Before
	public void setUp() throws Exception {
		sg.initialize();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void getSubstitutionsSetTest() {
		String initConcept = "windchill_factor";
		String initSensor = "windchill_sensor";
		Map<Integer, SubstituteSensorSet> thisMap = sg.getSubstitutionSets(
				initSensor, initConcept);
		if (thisMap.get(1).getAllConcepts().get(0).equals("temperature")) {
			assertEquals("the concept returned is not temperature", thisMap
					.get(1).getAllConcepts().get(0), "temperature");
			assertEquals("the concept returned is not wind_speed",
					thisMap.get(1).getAllConcepts().get(1), "wind_speed");
		}

		else if (thisMap.get(1).getAllConcepts().get(0).equals("wind_speed")) {
			assertEquals("the concept returned is not temperature", thisMap
					.get(1).getAllConcepts().get(1), "temperature");
			assertEquals("the concept returned is not wind_speed",
					thisMap.get(1).getAllConcepts().get(0), "wind_speed");
				
		}
		else
			fail();

	}
}
