package org.ow2.choreos.registry;

import java.io.IOException;
import java.io.PrintWriter;
import java.text.ParseException;

import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class Registry
 */
public class KeepServiceServlet extends HttpServlet {


		/**
		 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
		 *      response)
		 */
		protected void doPost(HttpServletRequest request,
				HttpServletResponse response) throws ServletException, IOException {
			PrintWriter pr = response.getWriter();

			String serviceAddress = request.getParameter("address");
			String period = request.getParameter("expiry_date");

			if ((serviceAddress == null) ||  (period == null)) {
				response.sendError(500);
				return;
			}
			try {

			//	int deviceId = Integer.parseInt(deviceIdString);

			long registrationExpDate = Long.parseLong(period);
			
				boolean result = RegistryMap.updateRegisteredService(serviceAddress,registrationExpDate);
				
				if (result == true) {
					pr.print(true);
					response.setStatus(200);
				}

				else {
					pr.print(false);
					response.sendError(400);

				}

			} catch (Exception e) {
				pr.print(false);
				response.sendError(500);
			}
		}

	}
