package org.ow2.choreos.abstractionDrivenServiceOrganization.distanceCalculator.serviceRepresentation.functional.service;

import org.ow2.choreos.abstractionDrivenServiceOrganization.distanceCalculator.serviceRepresentation.functional.service.hungarianAlgorithm.InterfacesDistanceCalculatorHungarianAlgorithm;
import org.ow2.choreos.abstractionDrivenServiceOrganization.mappings.functionalRepresentation.service.InterfacesMapping;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;


public class InterfacesDistanceCalculator {

	
	public static InterfacesMapping calculate( String algorithm, String namesDistanceCalculator, String schemaRepresentationModel, String abstractionDepth,Double similarityLintel, ServiceInterface i1, ServiceInterface i2 ){
		
		if( DistanceCalculatorController.isHungarianAlgorithm( algorithm ) ) return InterfacesDistanceCalculatorHungarianAlgorithm.calculate( namesDistanceCalculator, schemaRepresentationModel, abstractionDepth, similarityLintel, i1, i2 );
		
		return null;
	}

	public static InterfacesMapping calculate( String algorithm, String namesDistanceCalculator, String schemaRepresentationModel, ServiceInterface i1, ServiceInterface i2 ){

		if( DistanceCalculatorController.isHungarianAlgorithm( algorithm ) ) return InterfacesDistanceCalculatorHungarianAlgorithm.calculate( namesDistanceCalculator, schemaRepresentationModel, "Message Types", 1.0, i1, i2 );

		return null;
	}
}
