package org.ow2.choreos.abstractionGenerator;

import java.lang.reflect.Field;


public class FunctionParameters 
{
	
	
	public static Class<?> [] createParameters( Object [] parameterObjects )
	{
		
		Class<?>  [] parameterTypes = null;
		
		
		
		for(int i=0; parameterObjects != null && i < parameterObjects.length ; i++ )
		{
			Field [] fld = parameterObjects[i].getClass().getDeclaredFields();
			
			if (parameterTypes==null) parameterTypes= new Class[fld.length];
			
			for(int j=0 ; j < fld.length ; j++)
				
				parameterTypes[j] = parameterClass(fld[j]);
		}
		return parameterTypes;	

	}



	private static Class <?>  parameterClass ( Field field ) 
	{
		
		
			try {
				if ( field.getType().isInstance("java.lang.String") )
					return Class.forName("java.lang.String"); 
				
				else if ( field.getType().toString().equals("int"))
					return int.class;
				
				else if(field.getType().getSimpleName().equals("float"))
					return float.class;
				
				else if(field.getType().getSimpleName().equals("double"))
					return double.class;
				else if(field.getType().getSimpleName().equals("short"))
					return short.class;
				else if(field.getType().getSimpleName().equals("boolean"))
					return boolean.class;
				else if(field.getType().getSimpleName().equals("byte"))
					return byte.class;
				else if(field.getType().getSimpleName().equals("BigDemical"))
					return Class.forName("java.math.BigDecimal");
				else if(field.getType().getSimpleName().equals("BigInteger"))
					return Class.forName("java.math.BigInteger");
				else if(field.getType().getSimpleName().equals("Date"))
					return Class.forName("javax.xml.datatype.XMLGregorianCalendar");
				
				else if(field.getType().getSimpleName().equals("dateTime "))
					return Class.forName("javax.xml.datatype.XMLGregorianCalendar");
				
				else if(field.getType().getSimpleName().equals("time"))
					return Class.forName("javax.xml.datatype.XMLGregorianCalendar");
				else
					return Class.forName(field.getType().getCanonicalName());
					
			} catch (ClassNotFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		return null;
	}
}
