package org.ow2.choreos.clusteringAlgorithms.partitionalClustering.kMeans;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;


public class Main {


    @SuppressWarnings("unchecked")
	public static void main(String[] args) {

        ArrayList<ArrayList<String>> lists = new ArrayList<ArrayList<String>>();
        ArrayList<String> A = new ArrayList<String>(); 

        A.add("a1");
       

        lists.add(A);

        ArrayList<String> B = new ArrayList<String>(); 

        B.add("b1");
        
        lists.add(B);

        ArrayList<String> C = new ArrayList<String>(); 

        C.add("c1");
       

        lists.add(C);

        Set[] sets = new Set[lists.size()];
        for( int i = 0 ; i < lists.size(); ++i){
        	Set set = new HashSet();
        	for( int j = 0 ; j < lists.get(i).size(); ++j){
        		set.add(lists.get(i).get(j));
        	}
        	sets[i] = set;
    }
        
        Set<Set<Object>> res = cartesianProduct(sets);
        
     /*   
int i =0;
       Iterator it1 = ((HashSet) res).iterator();
        while (it1.hasNext()) {
            // Get element
            Set element1 = (Set) it1.next();
++i;
            System.out.println("Combination(" + i + ")");
            Iterator it2 = element1.iterator();
            while (it2.hasNext()) {
                // Get element
                Object element2 = it2.next();

                System.out.println(element2.toString());
            }
        }*/

        int i =0;
        Iterator it1 = ((HashSet) res).iterator();
        while (it1.hasNext()) {
            // Get element
            Set element1 = (Set) it1.next();
++i;
            System.out.println("Combination(" + i + "): " + element1.toString());
            Iterator it2 = element1.iterator();
            
            while (it2.hasNext()) {
                // Get element
                String element2 = (String) it2.next();
    
                System.out.println("element " + element2.toString());
            }
        }
    }

    public static Set<Set<Object>> cartesianProduct(Set<?>... sets) {
        if (sets.length < 2)
            throw new IllegalArgumentException(
                    "Can't have a product of fewer than two sets (got " +
                    sets.length + ")");

        return findCartesianProduct(0,sets);
    }

    private static Set<Set<Object>> findCartesianProduct( int index, Set<?>... sets ) {
        Set<Set<Object>> ret = new HashSet<Set<Object>>();

        if( sets.length == index ) ret.add(new HashSet<Object>());

        else{
            for (Object obj : sets[index]) {
                for (Set<Object> set : findCartesianProduct(index+1, sets)) {
                    set.add(obj);
                    ret.add(set);
                }
            }
        }

        return ret;
    }
}