package org.ow2.choreos.dataStructures.map.mapRemoval;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;


/**
 * 
 * @author dathanas
 *
 */
public class MapRemoval {


	public static void remove( Object key, Map<Object, Object> map ){

		if( MapGetter.exists( key, map ) ) map.remove( key );


		if( map != null && ! map.isEmpty() ) map = null; 
	}

	public static Map<Object, Object> clear( Map<Object, Object> map ){

		if( map != null ) map.clear();


		return map; 
	}

	public static Map<Object, List<Object>> clearMapOfList( Map<Object, List<Object>> map ){

		if( map != null ) map.clear();


		return map; 
	}

	public static void remove( String key, Map<Object, Object> map ){

		if( MapGetter.exists( key, map ) ) map.remove( key );


		if( map != null && map.isEmpty() ) map = null; 
	}

	public static void remove( int key, Map<Object, Object> map ){

		if( MapGetter.exists( key, map ) ) map.remove( key );


		if( map != null && map.isEmpty() ) map = null; 
	}

	public static void removeFromMapOfList( int key, Map<Object, List<Object>> map ){

		if( MapGetter.existsInMapOfList( key, map ) ) map.remove( key );


		if( map != null && map.isEmpty() ) map = null; 
	}

	public static void removeFromMapOfList( Object key, Map<Object, List<Object>> map ){

		if( MapGetter.existsInMapOfList( key, map ) ) map.remove( key );


		if( map != null && map.isEmpty() ) map = null; 
	}

	public static void removeFromMapOfMap( Object key, Map<Object, Map<Object, Object>> map ){

		if( MapGetter.existsInMapOfMap( key, map ) ) map.remove( key );


		if( map != null && map.isEmpty() ) map = null; 
	}
}
