package org.ow2.choreos.matchingProcess.schemaRepresentation.patternBasedMatching.PatternBasedSchemaElementIndexing;

import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.list.listInsertion.ListInsertion;
import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;
import org.ow2.choreos.matchingProcess.schemaRepresentation.concreteElementIndexing.ConcreteElementsDataStructureController;


/**
 * 
 * @author dathanas
 *
 */
public class PatternBasedConcreteElementsDataStructureController extends ConcreteElementsDataStructureController {


	//Getters.
	@SuppressWarnings("unchecked")
	public static List<Object> lookUpPatternGrowthSchemaElements( String dataStructureKind, Object dataStructure, Map<Object, Object> pairOfSchemaElementAndRightmostChildScopeRightEndpoint ){

		if( dataStructureKind != null && dataStructure != null ){

			Iterator<Object> i = pairOfSchemaElementAndRightmostChildScopeRightEndpoint != null && pairOfSchemaElementAndRightmostChildScopeRightEndpoint.keySet() != null ? pairOfSchemaElementAndRightmostChildScopeRightEndpoint.keySet().iterator() : null;

			Object currentConcreteElement = i != null && i.hasNext() ? i.next() : null;

			//PrintMessages.printInFile( PrintMessages.matchingPrint, "\t\t\t\tlookUpPatternGrowthAbstractElements for " + currentSchemaElement.visualize( false ).toString() );

			int rightmostChildScopeRightEndpoint = currentConcreteElement != null ? (Integer) MapGetter.getValue( currentConcreteElement, pairOfSchemaElementAndRightmostChildScopeRightEndpoint ) : null;


			if( dataStructureKind.equals( list ) ) return lookUpPatternGrowthSchemaElementsFromList( currentConcreteElement, rightmostChildScopeRightEndpoint, (List<Object>) dataStructure );
		}


		return null;
	}

	private static List<Object> lookUpPatternGrowthSchemaElementsFromList( Object currentConcreteElement, int rightmostChildScopeRightEndpoint, List<Object> candidatePatternGrowthSchemaElements ){

		List<Object> patternGrowthSchemaElements = null;


		for( int i = 0; candidatePatternGrowthSchemaElements != null && i < candidatePatternGrowthSchemaElements.size(); ++i ) if( PatternGrowthRelation.isPatternGrowth( currentConcreteElement, rightmostChildScopeRightEndpoint, candidatePatternGrowthSchemaElements.get( i ) ) ) patternGrowthSchemaElements = ListInsertion.add( candidatePatternGrowthSchemaElements.get( i ), patternGrowthSchemaElements );


		return patternGrowthSchemaElements;
	}
}
