package org.ow2.choreos.parser.functionalDocuments.schema.xml.v1.apache;

import java.util.List;


class ObjectInfo {


	//Variables.
	private Object schema;
	private List<String> importedSchemaLocations;


	//Constructor 1.
	ObjectInfo( Object cSchema, List<String> cImportedSchemaLocations ){

		schema = cSchema;

		importedSchemaLocations = cImportedSchemaLocations;
	}

	//Constructor 2 : Error usage.
	ObjectInfo( Object cObject ){

		schema = cObject;

		importedSchemaLocations = null;
	}


	//Getters.
	Object getObject(){

		return schema;
	}

	List<String> getImportedSchemaLocations(){

		return importedSchemaLocations;
	}
}
