package org.ow2.choreos.schemaRepresentation.schemaTagsTransformation;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.list.listManipulation.ListTransformations;
import org.ow2.choreos.dataStructures.map.mapManipulation.MapGetter;
import org.ow2.choreos.schemaRepresentation.SchemaRepresentationController;


public class SchemaTags2SchemaPathTransformation {


	public static String[] transform( List<Map<String, String>> path ){

		List<String> listTransformedPath = null;


		for( int i = 0; path != null && i < path.size(); ++i ){

			if( listTransformedPath == null ) listTransformedPath = new ArrayList<String>();


			String tagName = (String) MapGetter.getValueByStringKey( SchemaRepresentationController.getTagNameKey(), path.get( i ) );

			String name = (String) MapGetter.getValueByStringKey( "name", path.get( i ) );


			if( name != null ) listTransformedPath.add( tagName + " name = " + name + "" );

			else listTransformedPath.add( tagName );
		}


		return ListTransformations.convert2Array( listTransformedPath );
	}
}
