package org.ow2.choreos.schemaRepresentation.xml.completelyStructured.component.group;

import java.util.List;
import java.util.Map;

import org.ow2.choreos.dataStructures.map.mapManipulation.MapPrinting;
import org.ow2.choreos.schemaRepresentation.SchemaRepresentationController;
import org.ow2.choreos.schemaRepresentation.xml.ComponentTagNames;


/**
 * 
 * @author dathanas
 *
 */
class AttributeGroupDeclaration extends GroupDeclaration {


	//Variables.
	private static final long serialVersionUID = 8543273869967711549L;


	//Constructor.
	AttributeGroupDeclaration( List<Map<String, String>> path, String referenceComponent, String typeKind, boolean isGlobal ){

		super( path, referenceComponent, typeKind, isGlobal );
	}


	//Getters.
	public String getTagName(){

		return ComponentTagNames.attributeGroupTagName;
	}

	public String getTag(){

		return getTagName() + MapPrinting.printSpaceSeparated( SchemaRepresentationController.getTagNameKey(), getTagAttributes() ) + printMyOrderID();
	}
}
