package org.ow2.choreos.abstractionGenerator.abstractionImpl.airplane;
import org.ow2.choreos.abstractionGenerator.InputOutputDataTranslator;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;
import org.ow2.choreos.abstractionGenerator.MappingsManipulation;
import javax.jws.WebMethod;
import org.ow2.choreos.abstractionGenerator.Serialiazer;
import javax.jws.WebService;
import org.ow2.choreos.abstractionGenerator.BaseAbstractionImplService;
import org.ow2.choreos.abstractionGenerator.ClassCreation;
@WebService()
 public class AirplaneImpl extends BaseAbstractionImplService implements AirplaneInterface {
	public AirplaneImpl () 
	{
		super("Airplane");
	}

	public ProposeRerouteResponseOut proposeReroute ( ProposeRerouteIn input )
	{

		ProposeRerouteResponseOut result = new ProposeRerouteResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"proposeReroute", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "proposeReroute" , result);

		return result;

	}

	public AcceptProposalResponseOut acceptProposal ( AcceptProposalIn input )
	{

		AcceptProposalResponseOut result = new AcceptProposalResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"acceptProposal", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "acceptProposal" , result);

		return result;

	}

	public RejectProposalResponseOut rejectProposal ( RejectProposalIn input )
	{

		RejectProposalResponseOut result = new RejectProposalResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"rejectProposal", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "rejectProposal" , result);

		return result;

	}

}