package org.ow2.choreos.abstractionGenerator.abstractionImpl.airportdisplaysactuatorsaggregator;
import org.ow2.choreos.abstractionGenerator.InputOutputDataTranslator;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;
import org.ow2.choreos.abstractionGenerator.MappingsManipulation;
import javax.jws.WebMethod;
import org.ow2.choreos.abstractionGenerator.Serialiazer;
import javax.jws.WebService;
import org.ow2.choreos.abstractionGenerator.BaseAbstractionImplService;
import org.ow2.choreos.abstractionGenerator.ClassCreation;
@WebService()
 public class AirportDisplaysActuatorsAggregatorImpl extends BaseAbstractionImplService implements AirportDisplaysActuatorsAggregatorInterface {
	public AirportDisplaysActuatorsAggregatorImpl () 
	{
		super("AirportDisplaysActuatorsAggregator");
	}

	public PushUpInfoResponseOut pushUpInfo ( PushUpInfoIn input )
	{

		PushUpInfoResponseOut result = new PushUpInfoResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"pushUpInfo", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "pushUpInfo" , result);

		return result;

	}

	public GetInformationResponseOut getInformation ( GetInformationIn input )
	{

		GetInformationResponseOut result = new GetInformationResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getInformation", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getInformation" , result);

		return result;

	}

	public GetAverageMeasureResponseOut getAverageMeasure ( GetAverageMeasureIn input )
	{

		GetAverageMeasureResponseOut result = new GetAverageMeasureResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getAverageMeasure", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getAverageMeasure" , result);

		return result;

	}

}