
package org.ow2.choreos.abstractionGenerator.abstractionImpl.hotel.Classes;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the Classes package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ProvideConfirmationRoomResponse_QNAME = new QName("http://Hotel/", "provideConfirmationRoomResponse");
    private final static QName _GetPriceResponse_QNAME = new QName("http://Hotel/", "getPriceResponse");
    private final static QName _BookResponse_QNAME = new QName("http://Hotel/", "bookResponse");
    private final static QName _GetPrice_QNAME = new QName("http://Hotel/", "getPrice");
    private final static QName _GetAvailableRoomResponse_QNAME = new QName("http://Hotel/", "getAvailableRoomResponse");
    private final static QName _ProvideConfirmationRoom_QNAME = new QName("http://Hotel/", "provideConfirmationRoom");
    private final static QName _Book_QNAME = new QName("http://Hotel/", "book");
    private final static QName _GetAvailableRoom_QNAME = new QName("http://Hotel/", "getAvailableRoom");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: Classes
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Book }
     * 
     */
    public Book createBook() {
        return new Book();
    }

    /**
     * Create an instance of {@link GetPriceResponse }
     * 
     */
    public GetPriceResponse createGetPriceResponse() {
        return new GetPriceResponse();
    }

    /**
     * Create an instance of {@link Amenity }
     * 
     */
    public Amenity createAmenity() {
        return new Amenity();
    }

    /**
     * Create an instance of {@link BookResponse }
     * 
     */
    public BookResponse createBookResponse() {
        return new BookResponse();
    }

    /**
     * Create an instance of {@link GetPrice }
     * 
     */
    public GetPrice createGetPrice() {
        return new GetPrice();
    }

    /**
     * Create an instance of {@link BookingOrder }
     * 
     */
    public BookingOrder createBookingOrder() {
        return new BookingOrder();
    }

    /**
     * Create an instance of {@link GetAvailableRoomResponse }
     * 
     */
    public GetAvailableRoomResponse createGetAvailableRoomResponse() {
        return new GetAvailableRoomResponse();
    }

    /**
     * Create an instance of {@link ProvideConfirmationRoomResponse }
     * 
     */
    public ProvideConfirmationRoomResponse createProvideConfirmationRoomResponse() {
        return new ProvideConfirmationRoomResponse();
    }

    /**
     * Create an instance of {@link GetAvailableRoom }
     * 
     */
    public GetAvailableRoom createGetAvailableRoom() {
        return new GetAvailableRoom();
    }

    /**
     * Create an instance of {@link ProvideConfirmationRoom }
     * 
     */
    public ProvideConfirmationRoom createProvideConfirmationRoom() {
        return new ProvideConfirmationRoom();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProvideConfirmationRoomResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "provideConfirmationRoomResponse")
    public JAXBElement<ProvideConfirmationRoomResponse> createProvideConfirmationRoomResponse(ProvideConfirmationRoomResponse value) {
        return new JAXBElement<ProvideConfirmationRoomResponse>(_ProvideConfirmationRoomResponse_QNAME, ProvideConfirmationRoomResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPriceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "getPriceResponse")
    public JAXBElement<GetPriceResponse> createGetPriceResponse(GetPriceResponse value) {
        return new JAXBElement<GetPriceResponse>(_GetPriceResponse_QNAME, GetPriceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BookResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "bookResponse")
    public JAXBElement<BookResponse> createBookResponse(BookResponse value) {
        return new JAXBElement<BookResponse>(_BookResponse_QNAME, BookResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetPrice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "getPrice")
    public JAXBElement<GetPrice> createGetPrice(GetPrice value) {
        return new JAXBElement<GetPrice>(_GetPrice_QNAME, GetPrice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAvailableRoomResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "getAvailableRoomResponse")
    public JAXBElement<GetAvailableRoomResponse> createGetAvailableRoomResponse(GetAvailableRoomResponse value) {
        return new JAXBElement<GetAvailableRoomResponse>(_GetAvailableRoomResponse_QNAME, GetAvailableRoomResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProvideConfirmationRoom }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "provideConfirmationRoom")
    public JAXBElement<ProvideConfirmationRoom> createProvideConfirmationRoom(ProvideConfirmationRoom value) {
        return new JAXBElement<ProvideConfirmationRoom>(_ProvideConfirmationRoom_QNAME, ProvideConfirmationRoom.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Book }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "book")
    public JAXBElement<Book> createBook(Book value) {
        return new JAXBElement<Book>(_Book_QNAME, Book.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAvailableRoom }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://Hotel/", name = "getAvailableRoom")
    public JAXBElement<GetAvailableRoom> createGetAvailableRoom(GetAvailableRoom value) {
        return new JAXBElement<GetAvailableRoom>(_GetAvailableRoom_QNAME, GetAvailableRoom.class, null, value);
    }

}
