
package org.ow2.choreos.abstractionGenerator.abstractionImpl.weatherforecastservice.Classes;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the Classes package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetDailyWeatherForecastResponse_QNAME = new QName("http://weatherForecastService/", "getDailyWeatherForecastResponse");
    private final static QName _GetDailyWeatherForecastOnUpdateResponse_QNAME = new QName("http://weatherForecastService/", "getDailyWeatherForecastOnUpdateResponse");
    private final static QName _GetDailyWeatherForecast_QNAME = new QName("http://weatherForecastService/", "getDailyWeatherForecast");
    private final static QName _GetDailyWeatherForecastOnUpdate_QNAME = new QName("http://weatherForecastService/", "getDailyWeatherForecastOnUpdate");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: Classes
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetDailyWeatherForecastOnUpdateResponse }
     * 
     */
    public GetDailyWeatherForecastOnUpdateResponse createGetDailyWeatherForecastOnUpdateResponse() {
        return new GetDailyWeatherForecastOnUpdateResponse();
    }

    /**
     * Create an instance of {@link GetDailyWeatherForecastResponse }
     * 
     */
    public GetDailyWeatherForecastResponse createGetDailyWeatherForecastResponse() {
        return new GetDailyWeatherForecastResponse();
    }

    /**
     * Create an instance of {@link WeatherForecastRequest }
     * 
     */
    public WeatherForecastRequest createWeatherForecastRequest() {
        return new WeatherForecastRequest();
    }

    /**
     * Create an instance of {@link GetDailyWeatherForecastOnUpdate }
     * 
     */
    public GetDailyWeatherForecastOnUpdate createGetDailyWeatherForecastOnUpdate() {
        return new GetDailyWeatherForecastOnUpdate();
    }

    /**
     * Create an instance of {@link ForecastDetails }
     * 
     */
    public ForecastDetails createForecastDetails() {
        return new ForecastDetails();
    }

    /**
     * Create an instance of {@link ForecastSpecification }
     * 
     */
    public ForecastSpecification createForecastSpecification() {
        return new ForecastSpecification();
    }

    /**
     * Create an instance of {@link WeatherForecastResponse }
     * 
     */
    public WeatherForecastResponse createWeatherForecastResponse() {
        return new WeatherForecastResponse();
    }

    /**
     * Create an instance of {@link GetDailyWeatherForecast }
     * 
     */
    public GetDailyWeatherForecast createGetDailyWeatherForecast() {
        return new GetDailyWeatherForecast();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDailyWeatherForecastResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weatherForecastService/", name = "getDailyWeatherForecastResponse")
    public JAXBElement<GetDailyWeatherForecastResponse> createGetDailyWeatherForecastResponse(GetDailyWeatherForecastResponse value) {
        return new JAXBElement<GetDailyWeatherForecastResponse>(_GetDailyWeatherForecastResponse_QNAME, GetDailyWeatherForecastResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDailyWeatherForecastOnUpdateResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weatherForecastService/", name = "getDailyWeatherForecastOnUpdateResponse")
    public JAXBElement<GetDailyWeatherForecastOnUpdateResponse> createGetDailyWeatherForecastOnUpdateResponse(GetDailyWeatherForecastOnUpdateResponse value) {
        return new JAXBElement<GetDailyWeatherForecastOnUpdateResponse>(_GetDailyWeatherForecastOnUpdateResponse_QNAME, GetDailyWeatherForecastOnUpdateResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDailyWeatherForecast }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weatherForecastService/", name = "getDailyWeatherForecast")
    public JAXBElement<GetDailyWeatherForecast> createGetDailyWeatherForecast(GetDailyWeatherForecast value) {
        return new JAXBElement<GetDailyWeatherForecast>(_GetDailyWeatherForecast_QNAME, GetDailyWeatherForecast.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDailyWeatherForecastOnUpdate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weatherForecastService/", name = "getDailyWeatherForecastOnUpdate")
    public JAXBElement<GetDailyWeatherForecastOnUpdate> createGetDailyWeatherForecastOnUpdate(GetDailyWeatherForecastOnUpdate value) {
        return new JAXBElement<GetDailyWeatherForecastOnUpdate>(_GetDailyWeatherForecastOnUpdate_QNAME, GetDailyWeatherForecastOnUpdate.class, null, value);
    }

}
