package org.ow2.choreos.abstractionGenerator.abstractionImpl.weatherforecastservice;
import org.ow2.choreos.abstractionGenerator.InputOutputDataTranslator;
import javax.jws.WebMethod;
import org.ow2.choreos.abstractionGenerator.Serialiazer;
import javax.jws.WebService;
import org.ow2.choreos.serviceRepresentation.functional.ServiceInterface;
import org.ow2.choreos.abstractionGenerator.BaseAbstractionImplService;
import org.ow2.choreos.abstractionGenerator.MappingsManipulation;
import org.ow2.choreos.abstractionGenerator.ClassCreation;
@WebService()
 public class WeatherForecastServiceImpl extends BaseAbstractionImplService implements WeatherForecastServiceInterface {
	public WeatherForecastServiceImpl () 
	{
		super("WeatherForecastService");
	}

	public GetDailyWeatherForecastResponseOut getDailyWeatherForecast ( GetDailyWeatherForecastIn input )
	{

		GetDailyWeatherForecastResponseOut result = new GetDailyWeatherForecastResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getDailyWeatherForecast", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getDailyWeatherForecast" , result);

		return result;

	}

	public GetDailyWeatherForecastOnUpdateResponseOut getDailyWeatherForecastOnUpdate ( GetDailyWeatherForecastOnUpdateIn input )
	{

		GetDailyWeatherForecastOnUpdateResponseOut result = new GetDailyWeatherForecastOnUpdateResponseOut();

		LoadVariables();

		ServiceInterface abstractionServiceInterface = interfaceMapping.getServiceInterface(abstractionName);

		Object output = invokeConcreteService(input,"getDailyWeatherForecastOnUpdate", abstractionServiceInterface);

		setOutPut (output, abstractionServiceInterface, "getDailyWeatherForecastOnUpdate" , result);

		return result;

	}

}