package interfaces;

import Data.RerouteWarning;



public interface IProposeRerouteSink {
	/**
	 * Accept the reroute propose by ATC, the plane transfert his identity.
	 * 
	 * @param flight
	 */
	public boolean acceptProposal(RerouteWarning flight);

	/**
	 * Plane reject proposal because he cant travel to destination ( empty
	 * fuel..)
	 */
	public String rejectProposal(int distance);
}
