package org.ow2.choreos.choreosiotsmanagerimpl.test;

import static org.junit.Assert.*;

import java.io.IOException;
import java.util.ArrayList;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.ow2.choreos.choreosiotsmanager.impl.ThingsRegistrationManagerImpl;

import fr.inria.arles.choreos.iots.common.Location;

public class ThingsRegistrationManagerImplTest {

	
	ThingsRegistrationManagerImpl tr;
@Before
	public void setUp() throws Exception {
		tr = new ThingsRegistrationManagerImpl();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testExecuteRegistrationQuery() throws IOException {
		String deviceId = "1";
		String serviceName = "getWindchill";
		String serviceType = "windchill_service";
		double serviceAccuracy = 1;
		String sensorType = "windchill_sensor";
		String physicalConcept = "windchill_factor";
		double range = 1;
		double threshold = 1;
		String serviceAddress = "URL1";
		String dataType = "double";
		double locationCoordinateX = 1;
		double locationCoordinateY = 1;
		ArrayList<Location> estimatedPath = new ArrayList<Location>();
		estimatedPath.add(new Location(1, 1, 0));
		String unit = "DegreeC";
		boolean decision = tr.executeRegistrationQuery(deviceId, serviceName,
				serviceType, serviceAccuracy, sensorType, physicalConcept,
				range, threshold, serviceAddress, dataType,
				locationCoordinateX, locationCoordinateY, estimatedPath, unit);
		assertTrue("the registration decision is not true", decision);

	}
}
