package org.ow2.choreos.registration.impl.test;

import static org.junit.Assert.*;

import java.util.Map;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.ow2.choreos.registration.impl.SubstituteSetsGeneratorImpl;

import fr.inria.arles.choreos.iots.common.SubstituteSensorSet;

public class SubstituteSetsGeneratorImplTest {
SubstituteSetsGeneratorImpl sg = new SubstituteSetsGeneratorImpl();
	@Before
	public void setUp() throws Exception {
		sg.initialize();
	}

	@After
	public void tearDown() throws Exception {
	}


@Test
	public void getSubstitutionsSetTest() {
		String initConcept = "windchill_factor";
		String initSensor = "windchill_sensor";
		Map<Integer, SubstituteSensorSet> thisMap = sg.getSubstitutionSets(
				initSensor, initConcept);
		assertEquals("the concept returned is not temperature", thisMap.get(1)
				.getAllConcepts().get(0), "temperature");
		assertEquals("the concept returned is not wind_speed", thisMap.get(1)
				.getAllConcepts().get(1), "wind_speed");

	}
}
